<script lang="ts">
  import AdminLayout from '$lib/components/layouts/AdminLayout.svelte';
  import Button from '$lib/components/Button.svelte';
  import Search from '$lib/components/Search.svelte';
  import NewsItem from '$lib/components/Items/NewsItem.svelte';
  import type { PageData } from './$types';
  import { axiosInstance } from '$lib/config';

  export let data: PageData;

  let news = data?.news.data;

  async function handleSearch(event: any) {
    const res = await axiosInstance.get('/news', { params: { ...(event.detail && { name: event.detail }) } });

    news = res.data.data;
  }
</script>

<svelte:head>
    <title>Новости</title>
</svelte:head>

<AdminLayout>
    <header class="mt-8 mr-8 flex justify-end gap-6">
        <Search on:search={handleSearch}/>
        <a href="/admin/news/create">
            <Button class="h-full">Создать</Button>
        </a>
    </header>
    <section class="pr-8 space-y-6">
        {#each news as { id, name, anons, createdAt, attachment, user: author, deletedAt }}
            {#if !deletedAt}
                <NewsItem
                    {id}
                    title={name}
                    {anons}
                    {attachment}
                    date={createdAt}
                    {author}
                />
            {/if}
        {/each}
    </section>
</AdminLayout>